List messages by conversation

List messages by conversation. See the OpenAPI-defined parameters, request body, and responses below.

GET /Message

List messages by conversation. See the OpenAPI-defined parameters, request body, and responses below.

OpenAPI description: Este endpoint retorna as mensagens de uma conversa especificada pelo identificador da conversa.

Authentication

Authentication required. Send your user API key in the X-API-Key header.

Parameters

NameLocationTypeRequiredDescriptionConstraints
conversationIdqueryinteger · int32No——

Request body

This operation does not accept a request body.

Example request

curl --request GET \
  --url 'https://api.zild.ai/Message?conversationId={conversationId}' \
  --header 'X-API-Key: YOUR_USER_API_KEY'

Responses

StatusDescriptionResponse body
200Sucesso ao retornar as mensagensapplication/json · array<MessageDto>

Example response (200):

[
  {
    "id": 0,
    "createdAt": "2026-09-22T18:00:00Z",
    "from": "string",
    "to": "string",
    "content": "string",
    "conversationId": 0,
    "sentiment": "string",
    "offset": "string",
    "isNPS": true,
    "contentSid": "string",
    "messageType": 0,
    "conversationTemplateId": 0,
    "mediaUrl": "string",
    "mediaFileName": "string",
    "tenantId": 0,
    "userId": 0,
    "contentVariables": "string",
    "messageSid": "string",
    "messageStatus": 0,
    "sent": true,
    "delivered": true,
    "read": true,
    "errorCode": "string",
    "errorMessage": "string",
    "isReadByUser": true,
    "documentId": 0
  }
]

Data models

MessageDto
PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
createdAtstring · date-timeNo——
fromstringNo—nullable
tostringNo—nullable
contentstringNo—nullable
conversationIdinteger · int32No——
sentimentstringNo—nullable
offsetstringNo—nullable
isNPSbooleanNo——
contentSidstringNo—nullable
messageTypeMessageTypeNo——
conversationTemplateIdinteger · int32No——
mediaUrlstringNo—nullable
mediaFileNamestringNo—nullable
tenantIdinteger · int32No——
userIdinteger · int32No——
contentVariablesstringNo—nullable
messageSidstringNo—nullable
messageStatusMessageStatusNo——
sentbooleanNo——
deliveredbooleanNo——
readbooleanNo——
errorCodestringNo—nullable
errorMessagestringNo—nullable
isReadByUserbooleanNo——
documentIdinteger · int32No—nullable
MessageStatus

0 = Queued; 1 = Sending; 2 = Sent; 3 = Delivered; 4 = Receiving; 5 = Received; 6 = Accepted; 7 = Scheduled; 8 = Read; 9 = Undelivered; 10 = Canceled; 11 = Failed

integer

MessageType

0 = Text; 1 = Image; 2 = File; 3 = Audio; 4 = Video; 5 = Internal; 6 = TemplateMarketing; 7 = TemplateUtility; 8 = Location; 9 = Contact

integer